<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Sticker/index')}">{:lang('STICKER_LIST')}</a></li>
			<li class="active"><a >{:lang('EDIT')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Sticker/editPost')}">
            <div class="form-group">
				<label for="input-type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('TYPE')}</label>
				<div class="col-md-6 col-sm-10" id="type">
                    <volist name="type" id="v">
					<label class="radio-inline"><input type="radio" name="type" value="{$key}" <if condition="$key eq $data['type']">checked</if>>{$v}</label>
                    </volist>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-mark" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('IDENTIFIER')}</label>
				<div class="col-md-6 col-sm-10" id="mark" style="position: relative;" id="mark">
                    <volist name="mark" id="v">
					<label class="radio-inline" for="mark_{$key}"><input type="radio" name="mark" value="{$key}" id="mark_{$key}" <if condition="$key eq $data['mark']">checked</if> <if condition="$data['type'] eq 1 && $key==3">disabled</if>>{$v}</label>
                    </volist>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-giftname" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHINESE_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-name" name="giftname" value="{$data['giftname']}" style="width:300px;">
				</div>
			</div>

			<div class="form-group">
				<label for="input-giftname_en" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ENGLISH_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-giftname_en" name="giftname_en" value="{$data['giftname_en']}" style="width:300px;">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-needcoin" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRICE')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-needcoin" name="needcoin" value="{$data['needcoin']}" style="width:300px;">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-user_login" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('IMAGE')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="hidden" name="gifticon" id="thumbnail" value="{$data['gifticon']}">
                    <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail');">
                        <if condition="empty($data.gifticon)">
                        <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                 id="thumbnail-preview"
                                 style="cursor: pointer;max-width:100px;max-height:100px;"/>
                        <else/>
                        <img src="{:cmf_get_image_preview_url($data.gifticon)}"
                             id="thumbnail-preview"
                             style="cursor: pointer;max-width:100px;max-height:100px;"/>
                        </if>
                    </a>
                    <input type="button" class="btn btn-sm btn-cancel-thumbnail" value="{:lang('REMOVE_IMAGE')}"> {:lang('RECOMMENDED_DIMENSIONS', ['width' => '200', 'height' => '200'])}
				</div>
			</div>
            
            
            <div class="form-group">
				<label for="input-sticker_id" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('STICKER_ID')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-sticker_id" name="sticker_id" value="{$data['sticker_id']}" style="width:300px;">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-swftime" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ANIMATION_DURATION')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-swftime" name="swftime" value="{$data['swftime']}" style="width:300px;">{:lang('SECOND_PRECISION_TWO_DECIMALS')}
				</div>
			</div>
            

            <div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<input type="hidden" name="id" value="{$data.id}" />
					<input type="hidden" name="gifticon_old" value="{$data.gifticon}" />
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('EDIT')}</button>
					<a class="btn btn-default" href="javascript:history.back(-1);">{:lang('BACK')}</a>
				</div>
			</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
    <script type="text/javascript">
        (function(){
            $('.btn-cancel-thumbnail').click(function () {
                $('#thumbnail-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail').val('');
            });
            
        })()

    </script>
</body>
</html>